library(tikzDevice)

# === Heli ===
table <- read.table('dades/Heli.txt', sep="\t", dec=',', header=FALSE, col.names=c("Lambda", "Impulses"))

pdf('output/heli.pdf', width = 6, height = 5)
plot(table$Lambda, table$Impulses, type="l", xlab="Longitud d'ona (nm)", col="#6B67A2", ylab="Comptes", ylim=c(0, 4000))
dev.off()

tikz('output/heli.tex', width = 6, height = 5)
plot(table$Lambda, table$Impulses, type="l", xlab="Longitud d'ona (nm)", col="#6B67A2", ylab="Comptes", ylim=c(0, 4000))
dev.off()

# === Sodi doble pic ===
table <- read.table('dades/Sodi_doblepic.txt', sep="\t", dec=',', header=FALSE, col.names=c("Lambda", "Impulses"))

pdf('output/sodi_doblepic.pdf', width = 6, height = 5)
plot(table$Lambda, table$Impulses, type="l", xlab="Longitud d'ona (nm)", col="#6B67A2", ylab="Comptes", ylim=c(0, 4000))
dev.off()

tikz('output/sodi_doblepic.tex', width = 6, height = 5)
plot(table$Lambda, table$Impulses, type="l", xlab="Longitud d'ona (nm)", col="#6B67A2", ylab="Comptes", ylim=c(0, 4000))
dev.off()

# === Sodi saturat ===
table <- read.table('dades/Sodi_saturat.txt', sep="\t", dec=',', header=FALSE, col.names=c("Lambda", "Impulses"))

pdf('output/sodi_saturat.pdf', width = 6, height = 5)
plot(table$Lambda, table$Impulses, type="l", xlab="Longitud d'ona (nm)", col="#6B67A2", ylab="Comptes", ylim=c(0, 4000))
dev.off()

tikz('output/sodi_saturat.tex', width = 6, height = 5)
plot(table$Lambda, table$Impulses, type="l", xlab="Longitud d'ona (nm)", col="#6B67A2", ylab="Comptes", ylim=c(0, 4000))
dev.off()
